import { createComponentFactory, Spectator } from '@ngneat/spectator';
import { UiFilterInputOptionsModule } from '../../shared/filter-input-options';
import { UiFilterFilterGroupFilterComponent } from './filter-filter-group-filter.component';

describe('UiFilterFilterGroupFilterComponent', () => {
  let spectator: Spectator<UiFilterFilterGroupFilterComponent>;
  const createComponent = createComponentFactory({
    component: UiFilterFilterGroupFilterComponent,
    imports: [UiFilterInputOptionsModule],
  });

  beforeEach(() => {
    spectator = createComponent();
  });

  it('should create', () => {
    expect(spectator.component).toBeTruthy();
  });
});
